## cmake-bootstrap-4.1.1-1.src.tar.zst

=== Tests/CTestTestMissingDependsExe/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(CTestTestMissingDependsExe)

enable_testing()

add_test(test1 ${CMAKE_COMMAND} -E echo test)
add_test(test2 non-existent-command)

set_tests_properties(test1 PROPERTIES DEPENDS test2)

=== Tests/RunCMake/Codegen/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.29)
project(${RunCMake_TEST} LANGUAGES C)

# This value is read from the top level CMakeLists.txt
cmake_policy(SET CMP0171 NEW)

include(${RunCMake_TEST}.cmake)

=== Tests/RunCMake/Graphviz/sub_directory_target/CMakeLists.txt ===
add_executable(SubDirectoryTarget test.c)

=== Tests/RunCMake/Ninja/SubDirConfigureFileDup/CMakeLists.txt ===
configure_file(../PreventConfigureFileDupBuildRule.cmake PreventTargetAliasesDupBuildRule.cmake @ONLY)

=== Tests/RunCMake/cmake_language/defer_call/CMakeLists.txt ===
cmake_language(DEFER ID id1 CALL message STATUS "Deferred Message In Subdirectory: '${CMAKE_CURRENT_LIST_FILE}:${CMAKE_CURRENT_LIST_LINE}'")
cmake_language(DEFER ID id2 CALL
  cmake_language DEFER ID id3 CALL
  message WARNING "Double-Deferred Warning In Subdirectory:\n '${CMAKE_CURRENT_LIST_FILE}:${CMAKE_CURRENT_LIST_LINE}'")
cmake_language(DEFER ID id4 CALL include "${CMAKE_CURRENT_LIST_DIR}/include.cmake")

set(subdir_message "This should not be printed because variable evaluation is in deferred scope.")
cmake_language(DEFER DIRECTORY .. CALL message STATUS "${subdir_message}")
cmake_language(DEFER DIRECTORY .. GET_CALL_IDS ids)
message(STATUS "Immediate Message In Subdirectory: ids='${ids}'")

=== Tests/SubDirSpaces/Some Examples/example1/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.10)
project(example1)
add_executable(example1 example1.cxx)

add_custom_command(TARGET example1 POST_BUILD
  COMMAND "${CMAKE_COMMAND}" ARGS -E rm -f ${SUBDIR_BINARY_DIR}/ShouldBeHere
  COMMENT "Remove marker file that should exist because this should not be run")

=== Utilities/Release/WiX/CustomAction/CMakeLists.txt ===
if(MSVC)
  if(NOT CMAKE_VERSION VERSION_LESS 3.15)
    set(CMAKE_MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
  else()
    foreach(CONFIG DEBUG MINSIZEREL RELEASE RELWITHDEBINFO)
      string(REPLACE "/MD" "/MT"
        "CMAKE_CXX_FLAGS_${CONFIG}"
        "${CMAKE_CXX_FLAGS_${CONFIG}}"
        )
      string(REPLACE "-MD" "-MT"
        "CMAKE_CXX_FLAGS_${CONFIG}"
        "${CMAKE_CXX_FLAGS_${CONFIG}}"
        )
    endforeach()
  endif()
endif()

add_library(CMakeWiXCustomActions MODULE
  detect_nsis_overwrite.cpp
  exports.def
)

target_link_libraries(CMakeWiXCustomActions PRIVATE msi)

=== Tests/RunCMake/CXXModules/examples/export-interface-build/test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.24...3.28)
project(cxx_modules_library NONE)

find_package(export_interfaces REQUIRED)

if (NOT TARGET CXXModules::export_interfaces)
  message(FATAL_ERROR
    "Missing imported target")
endif ()

get_property(file_sets TARGET CXXModules::export_interfaces
  PROPERTY INTERFACE_CXX_MODULE_SETS)
if (NOT file_sets STREQUAL "modules")
  message(FATAL_ERROR
    "Incorrect exported file sets in CXXModules::export_interfaces:\n  ${file_sets}")
endif ()

get_property(file_set_files TARGET CXXModules::export_interfaces
  PROPERTY CXX_MODULE_SET_modules)
set(expected_file_set_files
  "${expected_source_dir}/importable.cxx"
  "${expected_source_dir}/subdir/importable.cxx"
  )
if (NOT file_set_files STREQUAL "${expected_file_set_files}")
  message(FATAL_ERROR
    "Incorrect exported file set paths in CXXModules::export_interfaces:\n  ${file_set_files}")
endif ()

get_property(imported_modules TARGET CXXModules::export_interfaces
  PROPERTY IMPORTED_CXX_MODULES_DEBUG)
set(expected_imported_modules
  "importable=${expected_source_dir}/importable.cxx,${expected_binary_dir}/CMakeFiles/export_interfaces.dir(/Debug)?/importable.(gcm|pcm|ifc)"
  "subdir_importable=${expected_source_dir}/subdir/importable.cxx,${expected_binary_dir}/CMakeFiles/export_interfaces.dir(/Debug)?/subdir_importable.(gcm|pcm|ifc)"
  )
if (NOT imported_modules MATCHES "^${expected_imported_modules}$")
  message(FATAL_ERROR
    "Incorrect exported modules in CXXModules::export_interfaces:\n"
    "  ${imported_modules}\n"
    "does not match:\n"
    "  ${expected_imported_modules}"
  )
endif ()

=== PKGBUILD ===
# Maintainer: Christoph Reiter <reiter.christoph@gmail.com>

_realname=cmake
pkgname="${_realname}-bootstrap"
pkgver=4.1.1
pkgrel=1
pkgdesc="A cross-platform open-source make system"
arch=('i686' 'x86_64')
url="https://www.cmake.org/"
msys2_repository_url="https://gitlab.kitware.com/cmake/cmake"
msys2_references=(
  "anitya: 306"
  "cpe: cpe:2.3:a:cmake_project:cmake"
)
license=(spdx:BSD-3-Clause)
makedepends=('gcc'
             'make')
depends=('gcc-libs')
conflicts=('cmake' 'cmake-emacs' 'cmake-vim')
provides=("cmake=$pkgver")
source=(https://www.cmake.org/files/v${pkgver%.*}/${_realname}-${pkgver}.tar.gz)
sha256sums=('b29f6f19733aa224b7763507a108a427ed48c688e1faf22b29c44e1c30549282')

build() {
  [[ -d ${srcdir}/build-${CARCH} ]] && rm -rf ${srcdir}/build-${CARCH}
  mkdir -p ${srcdir}/build-${CARCH}
  cd ${srcdir}/build-${CARCH}

  "${srcdir}/${_realname}-${pkgver}/configure" \
    --prefix=/usr \
    --no-system-libs \
    --no-qt-gui \
    --parallel="$(nproc)" \
    --mandir=share/man \
    --docdir="share/doc/${_realname}" \
    --datadir="share/${_realname}" \
    -- -DCMAKE_USE_OPENSSL=OFF

  make
}

package() {
  cd ${srcdir}/build-${CARCH}

  make DESTDIR="${pkgdir}" install

  install -Dm644 ${srcdir}/${_realname}-${pkgver}/LICENSE.rst \
    ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
}
